PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dgeqp3_Tile | ( | PLASMA_desc * | A,
|  | int * | jpvt,
|  | double * | tau,
|  | double * | work,
|  | double * | rwork
| ) |  |

PLASMA_dgeqp3_Tile - Computes the tile QR factorization with column pivoting of a matrix. Tile equivalent of PLASMA_dgeqp3(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in,out] | A | On entry, the M-by-N matrix A. On exit, the elements on and above the diagonal of the array contain the min(M,N)-by-N upper trapezoidal matrix R (R is upper triangular if M >= N); the elements below the diagonal represent the unitary matrix Q as a product of elementary reflectors stored by tiles.
  [in,out] | jpvt | Integer array of dimension N. On exit, if jpvt(j)=k, then the j-th column of A*P was the k-th column of A.
  [out] | tau | On exit, scalars that define Householder reflectors, size n.
  [out] | work | Workspace of size (n + 1)*nb.
  [out] | rwork | Workspace of size 2*n.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_dgeqp3
  PLASMA_dgeqp3_Tile_Async
  PLASMA_cgeqp3_Tile
  PLASMA_dgeqp3_Tile
  PLASMA_sgeqp3_Tile